Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » Using AspectJ with PDE Builder
Using AspectJ with PDE Builder [message #71098] Wed, 23 January 2008 16:58
Alejandro Bascuas is currently offline Alejandro BascuasFriend
Messages: 11
Registered: July 2009
Junior Member
Hi,

I'm using Eclipse 3.3 as my builder for my RCP application. I tried
using the pdebuild-ant.jar provided in the org.eclipse.ajdt.pde.build
plug-in. However, this causes the fetch function to fail.

Inspecting the jar file, I found some missing classes and manually
copied them over to the ajdt version of the jar. Fetch then worked fine,
but then I hit another problem: "eclipse.buildScript doesn't support the
"significantVersionDigits" attribute."

Not sure if there is more I need to do to get PDE Builder to generate
iajc tasks. My build works perfectly fine using the standard
pdebuild-ant.jar.

Thanks for any input,

Alej.
Previous Topic:ERROR : export - plugin with aspectj support
Next Topic:Using AspectJ with PDE Builder
Goto Forum:
  


Current Time: Fri Dec 19 16:36:05 GMT 2014

Powered by FUDForum. Page generated in 0.01733 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software